package space.nstart.pcp.pcp_types_lib.dto.satellite.modes

import space.nstart.pcp.pcp_types_lib.utils.UtcDateTimes
import java.time.LocalDateTime

data class SurveyModeInfoDTO(
    val revolution : Long = 0,
    val time : LocalDateTime = UtcDateTimes.now(),
    val timStop : LocalDateTime = UtcDateTimes.now(),
    val duration : Double = 0.0,
    val roll : Double = 0.0,
    val contourWKT : String = "",
    val slotIds : List<Long> = mutableListOf(),
    val latitude : Double = 0.0,
    val longitude : Double = 0.0,
)
